import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaCheckItem = (params) => request('/api/taCheckItem', { params });

/*
 * 新增数据
 */
export const postTaCheckItem = (data) => request('/api/taCheckItem', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaCheckItemById = (id) => request(`/api/taCheckItem/${id}`);

/*
 * 更新数据
 */
export const putTaCheckItem = (id, data) => request(`/api/taCheckItem/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCheckItem = (id) => request(`/api/taCheckItem/${id}`, { method: 'delete' });
